<template>
  <section class="criterias">
    <one-criteria
      v-for="criteria in criterias"
      :key="criteria.name"
      :criteria="criteria" />
  </section>
</template>

<script>
import OneCriteria from "~/components/OneCriteria.vue"

export default {
  components: {
    OneCriteria
  },
  data() {
    return {
      criterias: [
        {
          name: "crit 1",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 2",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 3",
          description: "bla bla bla bla bla bla bla bla bla bla"
        },
        {
          name: "crit 4",
          description: "bla bla bla bla bla bla bla bla bla bla"
        }
      ]
    }
  }
}
</script>

<style scoped>
.criterias {
  display: inline-flex;
  flex-flow: row wrap;
  justify-content: space-around;

  min-width: 75vw;
}
</style>
